ChangeLog file for XaoS - generated automatically by tools/mkChangeLog.
Please do not edit this file: your changes will be lost.


2006-09-23  jblang  

* src/ui/drivers.c: Added Mac OS X fullscreen driver to drivers.c

2006-08-12  Kovacs Zoltan  

* src/ui/ui-drv/osx/HowToBuild.txt, src/ui/ui-drv/osx/XaoS.xcodeproj/jb-langston.mode1, src/ui/ui-drv/osx/XaoS.xcodeproj/jb-langston.pbxuser, src/ui/ui-drv/osx/XaoS.xcodeproj/project.pbxproj, src/ui/ui-drv/osx/aconfig.h, src/ui/ui-drv/osx/osxevents.c, src/ui/ui-drv/osx/ui_osx.c, src/ui/ui-drv/cocoa/AppController.h, src/ui/ui-drv/cocoa/AppController.m, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/classes.nib, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/info.nib, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/keyedobjects.nib, src/ui/ui-drv/cocoa/FractalView.m, src/ui/ui-drv/cocoa/XaoS.xcodeproj/jb-langston.mode1, src/ui/ui-drv/cocoa/XaoS.xcodeproj/jb-langston.pbxuser, src/ui/ui-drv/cocoa/XaoS.xcodeproj/project.pbxproj, src/ui/ui-drv/cocoa/ui_cocoa.m, src/ui/ui-drv/osx/ChangeLog.txt:
All modifications by J.B. Langston III for Mac OS X:

* Disabled alloca, which was preventing XaoS from rendering images over 2500x2500
* Added fullscreen driver
* Upgraded libpng to 1.2.12

2006-07-13  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/version.h, src/include/version.h.in, src/ui-hlp/menu.c, src/ui/ui-drv/osx/osxdialog.c, src/ui/ui-drv/osx/osxdialogs.c, src/ui/ui-drv/osx/ui_osx.c, RELEASE_NOTES, TODO, configure, configure.in:
Removing unnecessary files from the OS X driver and
some fixes for the OS X driver and menu.c (by J.B. Langston III).
Now version.h is generated.

2006-07-09  Kovacs Zoltan  

* src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c, src/util/png.c, doc/xaos.texinfo, help/xaos.hlp, src/i18n/cs.po, src/i18n/de.po, RELEASE_NOTES, doc/AUTHORS, doc/xaos.info:
Mac OS X port, phase 4. Authors' list updated.

* src/ui/drivers.c, src/ui/param.c, src/ui/pipecmd.c, src/ui/ui.c:
J. B. Langston's modifications for Mac OS X port.
Marton Torok's modification for an fd bug:


* src/ui/ui-drv/cocoa/XaoS.xcodeproj/project.pbxproj, src/ui/ui-drv/osx/ChangeLog.txt, src/ui/ui-drv/osx/English.lproj/InfoPlist.strings, src/ui/ui-drv/osx/Info.plist, src/ui/ui-drv/osx/XaoS.icns, src/ui/ui-drv/osx/XaoS.xcodeproj/jb-langston.mode1, src/ui/ui-drv/osx/XaoS.xcodeproj/jb-langston.pbxuser, src/ui/ui-drv/osx/XaoS.xcodeproj/project.pbxproj, src/ui/ui-drv/osx/XaoS_Prefix.pch, src/ui/ui-drv/osx/aconfig.h, src/ui/ui-drv/osx/osxcommon.h, src/ui/ui-drv/osx/osxdialog.c, src/ui/ui-drv/osx/osxdialogs.c, src/ui/ui-drv/osx/osxevents.c, src/ui/ui-drv/osx/osxmenus.c, src/ui/ui-drv/osx/ui_osx.c, src/ui/ui-drv/osx/xstdio_osx.c, src/ui/ui-drv/cocoa/English.lproj/InfoPlist.strings, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/classes.nib, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/info.nib, src/ui/ui-drv/cocoa/English.lproj/MainMenu.nib/keyedobjects.nib, src/ui/ui-drv/cocoa/Japanese.lproj/InfoPlist.strings, src/ui/ui-drv/cocoa/Japanese.lproj/MainMenu.nib/classes.nib, src/ui/ui-drv/cocoa/Japanese.lproj/MainMenu.nib/info.nib, src/ui/ui-drv/cocoa/Japanese.lproj/MainMenu.nib/keyedobjects.nib, src/ui/ui-drv/cocoa/XaoS.xcodeproj/jb-langston.mode1, src/ui/ui-drv/cocoa/XaoS.xcodeproj/jb-langston.pbxuser, src/ui/ui-drv/cocoa/AppController.h, src/ui/ui-drv/cocoa/AppController.m, src/ui/ui-drv/cocoa/FractalView.h, src/ui/ui-drv/cocoa/FractalView.m, src/ui/ui-drv/cocoa/Info.plist, src/ui/ui-drv/cocoa/XaoS.icns, src/ui/ui-drv/cocoa/XaoS_Prefix.pch, src/ui/ui-drv/cocoa/aconfig.h, src/ui/ui-drv/cocoa/ui_cocoa.m:
Adding J.B. Langston's OS X port. Phase 1.

2006-05-06  Kovacs Zoltan  

* examples/ZKovacs/fract0.xpf, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, RELEASE_NOTES:
An xpf file added for the background image of the new web portal.

* ChangeLog: Automatic update by mkChangeLog

2006-05-04  Kovacs Zoltan  

* src/include/version.h, src/ui-hlp/wstack.c, src/ui/pipecmd.c, catalogs/magyar.cat:
Removing own tutorials (not intended for public use).
Marton Torok (marton.torok@gmail.com) fixed the -pipe mode
(string recognition did not work).

2006-04-26  Kovacs Zoltan  

* catalogs/cesky.cat, catalogs/deutsch.cat, catalogs/english.cat, catalogs/espanhol.cat, catalogs/francais.cat, catalogs/magyar.cat, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo, RELEASE_NOTES, configure, configure.in:
Modifications for visualizations.

* tutorial/Bintro.xaf, tutorial/Bolyai.xaf, tutorial/Bclosing.xaf:
Example animations.

* ChangeLog: Automatic update by mkChangeLog

2006-04-25  Kovacs Zoltan  

* src/ui-hlp/play.c, src/include/grlib.h, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/filter/font.c, src/filter/font2.c, src/filter/font23.c, src/filter/font3.c, src/filter/grlib.c, src/filter/xfont16.c, src/filter/xfont32.c, src/filter/xfont48.c:
New fonts (scaling xfont16 -- latin2 version -- up).

2006-04-08  Kovacs Zoltan  

* src/ui-hlp/save.c: Again...

* help/dokuwikiconv, help/xaos.hlp, src/engine/fractal.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po:
Two modifications: one for the dokuwiki conversion script
and one for the reloaded int/outt-coloring modes (fix).

2006-03-02  Kovacs Zoltan  

* src/i18n/fr.po: Hi Zoltan,

I updated the French translation file for the new version of XaoS and did some
small improvements to it.

Regards,

Philippe

2006-03-01  Kovacs Zoltan  

* help/dokuwikiconv: Better conversion, but not complete yet.

* configure.in, Makefile.in, configure: Hello,

I am writing you about the GNU XaoS project,
as part of by effort to help GNU projects provide a better, more
consistent build system.

Currently, your project seems to support DESTDIR variable in the
generated Makefiles (marked as optional in the GNU coding policies, make and
automake manual), however there's a problem that prevents DESTDIR from
working correctly.

The STICKY variable, set in configure and used in Makefile, does not consider
DESTDIR. This can break the build if the user tries to use DESTDIR support.

You can read more information about DESTDIR in the GNU coding standards
http://www.gnu.org/prep/standards/

and in the Automake manual:

http://www.gnu.org/software/automake/manual/html_mono/automake.html

Sections: "When automake is not enough" and "Staged installs"

I am ready to offer you additional information, help and support.
Thank you for your help in making GNU projects build systems better.

Claudio Fontana

--

Hello,

--- <kovzol@gmail.com> wrote:

> Dear Claudio, I'm happy to hear that GNU starts to
> step towards a better,
> more consistent build system.
>
> I'm not an expert in creating Makefiles. However I
> already put together many
> ones. Currently I have no time to read too much
> documentation about this topic.
> So if you could please help in enhancing the
> code (pointing to the places to change or you
> have the opportunity to fix the code), I would be
> happy. Any other help is greatly appreciated.

Sure thing. I attach a patch against version 3.1 that
does the following:

configure.in: add DESTDIR to STICKY variable.
Makefile.in: run -@STICKY@ to ignore chown, chgrp etc
 useful when running non-root DESTDIR installs.
 Also strenghten info pages installation rule,
 avoiding bug that happens when $(infodir)
 does not exist (see GNU coding standards,
 never use a directory as the second argument of
 install)

> Though, in some months I will have the time to do
> the fixes, but currently I
> must say I cannot change the code on my own.
>
> Thank you for your note again.
>
> Regards, Zoltan

Apply from the top source directory with

$ patch < /path/to/XaoS-3.1-DESTDIR-fix.udiff

Ping me if you want a test before the next release;

bye,

Claudio

2006-02-28  Kovacs Zoltan  

* help/dokuwikiconv, help/htmlconv: Fixes.

* help/dokuwikiconv: Fix?

* help/dokuwikiconv:
A tool which creates a dokuwiki-like text from the xaos.hlp file.

2006-01-31  Kovacs Zoltan  

* src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, examples/ZKovacs/hornflake1.xpf, examples/ZKovacs/hornflake2.xpf, src/engine/formulas.c, src/i18n/cs.po:
Adding Spidron hornflake fractal

2006-01-25  Kovacs Zoltan  

* src/i18n/hu.po: Fix typo

* RELEASE_NOTES: Update for 3.2

* ChangeLog: Automatic update by mkChangeLog

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c, tutorial/classic.xaf, tutorial/fourfr.xaf, tutorial/otherfr.xaf, tutorial/trice.xaf, tutorial/xaf2cat, catalogs/cesky.cat, catalogs/deutsch.cat, catalogs/english.cat, catalogs/espanhol.cat, catalogs/francais.cat, catalogs/magyar.cat:
Updates for 3.2: language support for new .xaf files

2006-01-24  rxpi  

* tutorial/classic.xaf, tutorial/fourfr.xaf, tutorial/otherfr.xaf, tutorial/trice.xaf:
Well, adding the tutorial files with "cvs add" now.

2006-01-23  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/engine/formulas.c:
Putting Sierpinski triangle vertically centered.

* src/ui/ui-drv/win32/version.rc, src/ui/ui-drv/win32/about.rc:
Updates for Win32.

2006-01-23  rxpi  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c:
Adding tutorials for the new fractal formulas.

2006-01-23  Kovacs Zoltan  

* src/ui-hlp/menu.c: Formulae...

* src/ui-hlp/menu.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po:
"More formulae", hopefully finally...

2006-01-22  Kovacs Zoltan  

* ChangeLog: Automatic update by mkChangeLog

* doc/AUTHORS, doc/xaos.6, doc/xaos.geninfo, doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp, src/filter/random.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/version.h, RELEASE_NOTES, configure, configure.in:
Yep! We are very close to release 3.2. Some fine-tuning was done before it.

2006-01-22  rxpi  

* src/engine/formulas.c, help/xaos.hlp:
3 classic fractals are in Xaos now. xaos.hlp is also modified.

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/engine/formulas.c:
correcting bug (Fast Julia Mode) and improving fractal Sierpinski by Arpi

2006-01-21  Kovacs Zoltan  

* doc/built-in_formulas.txt:
Some description about the built-in formulas (by A. Fekete).

2006-01-20  Kovacs Zoltan  

* src/include/version.h, src/i18n/hu.po, src/include/fractal.h, doc/xaos.texinfo, src/engine/docalc.c, src/i18n/Makefile.in.in, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, configure.in, configure:
-mcpu is deprecated in gcc4, using -march instead
msgmerge is not part of standard gettext package, forcing detection
=> XaoS now compiles under OpenSUSE 10.0

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c, src/engine/formulas.c:
Applying Arpad Fekete's enhancements in fractal types.
This version seems to fail to compile under OpenSuSE 10.0 (gcc4).
Probably the -mcpu option is deprecated.
This version lacks the updates of the help files (keyboard shortcuts
for fractal types). Fix is needed.

2005-11-23  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/formulas.h, src/ui-hlp/menu.c, src/engine/formulas.c:
Splitting formulae into 2 menus (by A. Fekete).

2005-11-15  Kovacs Zoltan  

* TODO: New items.

* doc/AUTHORS, doc/mkauthors, configure: Updates before release.

2005-11-14  Kovacs Zoltan  

* RELEASE_NOTES: Update for 3.1.3.

2005-11-13  Kovacs Zoltan  

* ChangeLog: Automatic update by mkChangeLog

* configure, configure.in, doc/AUTHORS, doc/mkauthors, doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp, src/engine/3dd.c, src/engine/zoomd.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/filter.h, src/include/version.h:
Updates for gcc-4.0 by P. Wautelet

2005-09-12  Kovacs Zoltan  

* src/engine/formulas.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp:
2 new fractals (triceratops, catseye) by A. Fekete

2005-05-28  Kovacs Zoltan  

* src/ui/ui-drv/win32/dxguid.c: Andreas Madritsch updated this file. He writes:

Date: Fri, 27 May 2005 23:11:17 +0200
From: Andreas Madritsch <amadritsch@datacomm.ch>
To: kovzol <kovzol@math.u-szeged.hu>
Subject: Problem with the DirectX header files

Hello Zoltan

The attached file should solve the problem with the DirectX header files.

Regards
Andreas

2005-05-07  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, configure.in, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp:
Updating French translations (contributed by P. Wautelet)

2005-02-20  Kovacs Zoltan  

* doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp, doc/AUTHORS:
Paul Nasca's email address has been changed.

2005-02-11  Kovacs Zoltan  

* configure.in, RELEASE_NOTES, configure: Updates for 3.1.2.

* configure.in:
Removing XaoS homepage link from hinting URLs of libpng and zlib packages.

* RELEASE_NOTES: Fixing 2 typos.

* RELEASE_NOTES: Update for 3.1.2.

* ChangeLog: Automatic update by mkChangeLog

* src/i18n/Makefile.in.in, src/ui-hlp/menu.c, Makefile.in, aclocal.m4:
Updates for 3.1.2:
- workaround for the B-B problem (if you press B twice, some newer gcc
  versions generate wrong code and you get a segmentation fault ---
  however gcc developers are not sure this is a gcc problem),
- copying examples to the correct directory,
- recognizing msgmerge.

2005-02-05  Kovacs Zoltan  

* ChangeLog: Automatic update by mkChangeLog

* doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo, Makefile.in: Updates for 3.1.1

* ChangeLog: Automatic update by mkChangeLog

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, examples/ZKovacs/fract1.xpf, examples/ZKovacs/mand9.xpf, examples/ZsKovacs/bolygo.xpf, examples/ZsKovacs/csiga2.xpf, examples/ZsKovacs/csiga3.xpf, examples/ZsKovacs/csiga4.xpf, examples/ZsKovacs/csiga5.xpf, examples/ZsKovacs/gamma.xpf, examples/ZsKovacs/golden.xpf, examples/ZsKovacs/impulzus.xpf, examples/ZsKovacs/kovzsi10.2.xpf, examples/ZsKovacs/kovzsi12.xpf, examples/ZsKovacs/kovzsi14.xpf, examples/ZsKovacs/kovzsi15.xpf, examples/ZsKovacs/kovzsi16.xpf, examples/ZsKovacs/kovzsi17.xpf, examples/ZsKovacs/kovzsi2.1.xpf, examples/ZsKovacs/kovzsi2.xpf, examples/ZsKovacs/kovzsi3.1.xpf, examples/ZsKovacs/kovzsi3.2.xpf, examples/ZsKovacs/kovzsi4.xpf, examples/ZsKovacs/kovzsi6.1.xpf, examples/ZsKovacs/kovzsi6.2.xpf, examples/ZsKovacs/kovzsi6.xpf, examples/ZsKovacs/kovzsi7.1.xpf, examples/ZsKovacs/kovzsi7.2.xpf, examples/ZsKovacs/kovzsi7.3.xpf, examples/ZsKovacs/kovzsi7.4.xpf, examples/ZsKovacs/kovzsi7.5.xpf, examples/ZsKovacs/kovzsi8.xpf, examples/ZsKovacs/kovzsi9.2.xpf, examples/ZsKovacs/kovzsi9.xpf, examples/ZsKovacs/light.xpf, examples/ZsKovacs/lighting.xpf, examples/ZsKovacs/nap.xpf, examples/ZsKovacs/orveny.xpf, examples/ZsKovacs/pavaszem.xpf, examples/ZsKovacs/pavaszem2.xpf, examples/ZsKovacs/pepita.xpf, examples/ZsKovacs/zsigapro.xpf, help/xaos.hlp, examples/Hubicka/phoenix2.xpf, examples/Hubicka/redjulia.xpf, examples/Hubicka/redmand.xpf, examples/Hubicka/redmand2.xpf, examples/Hubicka/rocks.xpf, examples/Hubicka/shell.xpf, examples/Hubicka/something.xpf, examples/Hubicka/spiral.xpf, examples/Hubicka/spiral2.xpf, examples/Hubicka/spiral3.xpf, examples/Hubicka/spiral4.xpf, examples/Hubicka/sprial.xpf, examples/Hubicka/sun.xpf, examples/Hubicka/thebug.xpf, examples/Hubicka/tower.xpf, examples/Hubicka/tree.xpf, examples/Hubicka/triangle.xpf, examples/Hubicka/truecol1.xpf, examples/Hubicka/truecol2.xpf, examples/Hubicka/truecol3.xpf, examples/Hubicka/truecol4.xpf, examples/Hubicka/truecol5.xpf, examples/Hubicka/truecol6.xpf, examples/Hubicka/truecol7.xpf, examples/Hubicka/ufo.xpf, examples/Hubicka/3d1.xpf, examples/Hubicka/3d2.xpf, examples/Hubicka/3d3.xpf, examples/Hubicka/3d4.xpf, examples/Hubicka/3d5.xpf, examples/Hubicka/3d6.xpf, examples/Hubicka/3d7.xpf, examples/Hubicka/3d8.xpf, examples/Hubicka/3d9.xpf, examples/Hubicka/axe.xpf, examples/Hubicka/barnsl1.xpf, examples/Hubicka/barnsl2.xpf, examples/Hubicka/barnsl3.xpf, examples/Hubicka/barnsl4.xpf, examples/Hubicka/barnsl5.xpf, examples/Hubicka/barnsl6.xpf, examples/Hubicka/barnsl7.xpf, examples/Hubicka/barnsl8.xpf, examples/Hubicka/barnsl9.xpf, examples/Hubicka/beatle.xpf, examples/Hubicka/beatle2.xpf, examples/Hubicka/brown.xpf, examples/Hubicka/checker.xpf, examples/Hubicka/crone.xpf, examples/Hubicka/dblspira.xpf, examples/Hubicka/dragons.xpf, examples/Hubicka/dragons2.xpf, examples/Hubicka/edge.xpf, examples/Hubicka/edge2.xpf, examples/Hubicka/edge3.xpf, examples/Hubicka/eifell.xpf, examples/Hubicka/galaxy.xpf, examples/Hubicka/goldrive.xpf, examples/Hubicka/head.xpf, examples/Hubicka/head2.xpf, examples/Hubicka/head3.xpf, examples/Hubicka/incolor1.xpf, examples/Hubicka/incolor2.xpf, examples/Hubicka/incolor3.xpf, examples/Hubicka/incolor4.xpf, examples/Hubicka/incolor5.xpf, examples/Hubicka/julia.xpf, examples/Hubicka/julia2.xpf, examples/Hubicka/julia3.xpf, examples/Hubicka/julia4.xpf, examples/Hubicka/julia5.xpf, examples/Hubicka/juliaanim.xaf, examples/Hubicka/lemon.xpf, examples/Hubicka/light.xpf, examples/Hubicka/magnet.xpf, examples/Hubicka/magnet1.xpf, examples/Hubicka/magnet2.xpf, examples/Hubicka/magnet3.xpf, examples/Hubicka/magnet4.xpf, examples/Hubicka/mand1.xpf, examples/Hubicka/mand2.xpf, examples/Hubicka/mand3.xpf, examples/Hubicka/mand4.xpf, examples/Hubicka/mand5.xpf, examples/Hubicka/mand7.xpf, examples/Hubicka/mand8.xpf, examples/Hubicka/mandanim.xaf, examples/Hubicka/minibrot.xpf, examples/Hubicka/newton.xaf, examples/Hubicka/newton.xpf, examples/Hubicka/newton2.xpf, examples/Hubicka/newton3.xpf, examples/Hubicka/octo.xpf, examples/Hubicka/palace.xpf, examples/Hubicka/perb1.xpf, examples/Hubicka/perb2.xpf, examples/Hubicka/perb3.xpf, examples/Hubicka/perb4.xpf, examples/Hubicka/perb5.xpf, examples/Hubicka/phoenix1.xpf, examples/0rfelyus/0rfel1.xpf, examples/0rfelyus/0rfel2.xpf, examples/Hubicka/2spirals.xpf, examples/something.xpf, examples/spiral.xpf, examples/spiral2.xpf, examples/spiral3.xpf, examples/spiral4.xpf, examples/sprial.xpf, examples/sun.xpf, examples/thebug.xpf, examples/tower.xpf, examples/tree.xpf, examples/triangle.xpf, examples/truecol1.xpf, examples/truecol2.xpf, examples/truecol3.xpf, examples/truecol4.xpf, examples/truecol5.xpf, examples/truecol6.xpf, examples/truecol7.xpf, examples/ufo.xpf, examples/0rfel1.xpf, examples/0rfel2.xpf, examples/2spirals.xpf, examples/3d1.xpf, examples/3d2.xpf, examples/3d3.xpf, examples/3d4.xpf, examples/3d5.xpf, examples/3d6.xpf, examples/3d7.xpf, examples/3d8.xpf, examples/3d9.xpf, examples/README, examples/axe.xpf, examples/barnsl1.xpf, examples/barnsl2.xpf, examples/barnsl3.xpf, examples/barnsl4.xpf, examples/barnsl5.xpf, examples/barnsl6.xpf, examples/barnsl7.xpf, examples/barnsl8.xpf, examples/barnsl9.xpf, examples/beatle.xpf, examples/beatle2.xpf, examples/brown.xpf, examples/checker.xpf, examples/crone.xpf, examples/dblspira.xpf, examples/dragons.xpf, examples/dragons2.xpf, examples/edge.xpf, examples/edge2.xpf, examples/edge3.xpf, examples/eifell.xpf, examples/galaxy.xpf, examples/goldrive.xpf, examples/head.xpf, examples/head2.xpf, examples/head3.xpf, examples/incolor1.xpf, examples/incolor2.xpf, examples/incolor3.xpf, examples/incolor4.xpf, examples/incolor5.xpf, examples/julia.xpf, examples/julia2.xpf, examples/julia3.xpf, examples/julia4.xpf, examples/julia5.xpf, examples/juliaanim.xaf, examples/lemon.xpf, examples/light.xpf, examples/magnet.xpf, examples/magnet1.xpf, examples/magnet2.xpf, examples/magnet3.xpf, examples/magnet4.xpf, examples/mand1.xpf, examples/mand2.xpf, examples/mand3.xpf, examples/mand4.xpf, examples/mand5.xpf, examples/mand7.xpf, examples/mand8.xpf, examples/mand9.xpf, examples/mandanim.xaf, examples/minibrot.xpf, examples/newton.xaf, examples/newton.xpf, examples/newton2.xpf, examples/newton3.xpf, examples/octo.xpf, examples/palace.xpf, examples/perb1.xpf, examples/perb2.xpf, examples/perb3.xpf, examples/perb4.xpf, examples/perb5.xpf, examples/phoenix1.xpf, examples/phoenix2.xpf, examples/redjulia.xpf, examples/redmand.xpf, examples/redmand2.xpf, examples/rocks.xpf, examples/shell.xpf, doc/xaos.texinfo, doc/xaosdev.texinfo, configure.in, RELEASE_NOTES, TODO, configure:
Adding example files + some updates for 3.1.1.

* ChangeLog: Automatic update by mkChangeLog

2004-11-24  Kovacs Zoltan  

* src/util/thread.c, src/util/timers.c, src/ui-hlp/menu.c, src/ui-hlp/save.c, src/util/9thread.c, src/ui/ui-drv/x11/xlib.c, src/ui/ui-drv/aa/ui_aa.c, src/ui/ui-drv/svga/keytables.h, src/ui/ui-drv/svga/ui_svga.c, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/BeOS/MenuMessage.h, src/ui/ui-drv/BeOS/XaoSAbstractWindow.h, src/ui/ui-drv/BeOS/XaoSApplication.h, src/ui/ui-drv/BeOS/XaoSEvent.h, src/ui/ui-drv/BeOS/XaoSScreenView.h, src/ui/ui-drv/BeOS/XaoSView.h, src/ui/uihelp.c, src/include/i386/__math.h, src/ui/ui.c, src/engine/formulas.c, src/engine/plane.c, src/engine/zoom.c, src/engine/zoomd.c, src/engine/btrace.c, src/engine/docalc.c:
Running do-indent for beautifying sources.

2004-11-23  Kovacs Zoltan  

* ChangeLog: Automatic update by mkChangeLog

* src/ui-hlp/save.c, src/util/timers.c, src/ui/ui.c, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/engine/plane.c, src/engine/zoom.c, src/engine/zoomd.c, src/i18n/cs.po, src/engine/docalc.c, src/engine/formulas.c, doc/xaos.texinfo, doc/xaos.info, doc/AUTHORS:
Patch for gcc-3.4 -- by Patrick Kursawe (kursawe@users.sf.net).
For details please read http://sourceforge.net/tracker/index.php?func=detail&aid=997200&group_id=5771&atid=105771

2004-11-02  Kovacs Zoltan  

* ChangeLog: Automatic update by mkChangeLog

2004-10-30  Kovacs Zoltan  

* help/xaos.hlp, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo:
Updates for version 3.1.1.

* src/ui/ui-drv/x11/ui_x11.c, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/i18n/cs.po, src/i18n/de.po:
Double backspace problem for X11 driver is fixed.

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui/filesel.c, src/ui/ui.c, src/engine/zoom.c:
3 small patches by Philippe Wautelet <p.wautelet@fractalzone.be>,
sent to me on Tue, 26 Oct 2004 22:44:12 +0200:

-----------------------8X-------------------------------------------------
Hi,

Here are the patches to correct some (small) bugs I found.

filesel.patch: correct a bug in the list of files in a directory: a
negative value could appear (the check was done too early) and was at
the origin of an access out of the valid memory range

ui.patch: correct a bug when the -nogui option was used and that there
are no available driver (this corrects the bug with the request ID 906942)

zoom.patch: permutated some conditions in 'if' to prevent access to not
initialized values

That's all for the moment.

Regards,

Philippe
-----------------------8X-------------------------------------------------

I compiled the code after applying the patches and no problems occured
during running (however I didn't do big tests, including the original
problems, too).

2004-03-04  Kovacs Zoltan  

* doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo, help/xaos.hlp, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po:
Modifications by Giorgio Marizzi (espanhol.cat).

* catalogs/espanhol.cat: Fix and improvements by Giorgio Marazzi.

2003-09-01  Kovacs Zoltan  

* catalogs/francais.cat, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo:
French catalog update by Jean-Pierre Demailly

2003-03-27  Kovacs Zoltan  

* RELEASE_NOTES: Deleting "pre" from "prerelease".

* ChangeLog: Automatic update by mkChangeLog

* RELEASE_NOTES:
Removing info about multiple Windows binaries (only one is packaged).

* ChangeLog: Automatic update by mkChangeLog

* RELEASE_NOTES: Update.

2003-03-25  Kovacs Zoltan  

* src/ui/ui-drv/win32/ui_win32.c:
Fixing Win32 driver crash, suggested by Andreas.

2003-03-20  Kovacs Zoltan  

* src/ui/ui-drv/win32/ui_win32.c:
XaoS became unstable, but texts are internationalized and they don't appear
twice when changing the driver mode. Needs to be fixed.

* src/ui/ui-drv/win32/ui_win32.c:
Another attempt to finalize i18n basics for Windows...

2003-03-19  Kovacs Zoltan  

* src/ui-hlp/qq, src/ui-hlp/menu.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui.c, doc/README.WIN:
Another attempt to fix Win32 i18n...

2003-03-18  Kovacs Zoltan  

* src/ui/ui-drv/win32/ui_win32.c, src/ui/ui.c, src/i18n/hu.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/Makefile.in.in, src/i18n/cs.po:
An attempt to gettextize Copy, Paste, About and Resize (mainly for Windows).
On Linux it compiles, under Windows not tested yet. Maybe under Windows there
should be some code written for menu_delete() -- which has been removed now.

* catalogs/README, README, RELEASE_NOTES, TODO: Some small updates.

* doc/INSTALL, README, INSTALL:
"make install" stops under Windows because there is a file called INSTALL.
That's whay INSTALL had to be removed.

* configure.in, configure:
Andreas updated autoconf-stuff to detect i18n on Windows properly.
Tested and work OK.

2003-03-13  Kovacs Zoltan  

* configure.in, configure: ..\..\locale is changed to ../../locale.

2003-03-11  Kovacs Zoltan  

* configure.in, configure:
Trying to force -lintl -liconf -D HAVE_GETTEXT if --with-included-gettext
was added to configure options. Not tested yet.

* src/i18n/Makefile.in.in:
Trying to fix that LC_MESSAGES/* directories were not created.

* src/i18n/hu.po, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, RELEASE_NOTES:
Updating.

* src/ui/ui-drv/svga/ui_svga.c: Putting X arrow back.

* src/ui/ui-drv/win32/windialo.c, src/ui/ui.c:
Andreas solved Win32 langauge detection problem. I18n now works under Win32.
He also improved the code which is generating xaos.dlg (however it can
be still enhanced for housing internationalized texts).

2003-03-06  Kovacs Zoltan  

* configure, configure.in:
Trying ..\..\locale instead of ../../locale under Windows, LOCALEDIR.

* src/ui/ui-drv/win32/xaos.dlg:
Changing back to the previous version due to a commission fault.

* src/ui/ui-drv/win32/xaos.dlg, src/ui/ui.c:
Andreas added localedir support for Windows and updated xaos.dlg
to house internationalized texts in some widgets under Windows.

2003-03-05  Kovacs Zoltan  

* src/ui/ui-drv/win32/xaos.dlg: Andreas fixed "Color:".

2003-03-04  Kovacs Zoltan  

* RELEASE_NOTES: Update.

* src/i18n/Makefile.in.in, configure.in, configure:
Trying to generate a LOCALEDIR-dependent Makefile in src/i18n.
Tested on Linux, on Windows should also be tested.

* doc/README.WIN: Andreas updated the Windows installation notes.

2003-03-03  Kovacs Zoltan  

* src/ui/ui-drv/win32/xaos.dlg, src/ui/ui-drv/win32/windialo.c:
Andreas Madritsch improved the Windows port for supporting i18n.
Tested and works properly.

2003-02-28  Kovacs Zoltan  

* tools/mkChangeLog: Fixing deleting unwanted, non-existing addresses.

* ChangeLog: Automatic update by mkChangeLog

* tools/mkChangeLog, RELEASE_NOTES: Preparing for release... :-)

* src/i18n/hu.po, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, configure:
configure had to be regenerated.

* bin/xaosmenu.tcl, doc/README.WIN, src/i18n/README, src/include/version.h, configure.in:
Added MIT/SHM support enabling/disabling. Updated documentation.
Version is 3.1 from now on. Tcl/Tk fix (trailing character removed).
Binary file st6xBkKv is also removed.

2003-02-25  Kovacs Zoltan  

* src/include/aconfig.h.in, configure.in, configure:
An attempt to detect DirectDraw driver. Not tested yet.

* tutorial/barnsley.xaf, tutorial/magnet.xaf, tutorial/newton.xaf, tutorial/other.xaf, catalogs/deutsch.cat, catalogs/english.cat, catalogs/magyar.cat:
Andreas Madritsch has updated the English and German tutorial files
for the new 3 fractal types. I also updated the Hungarian catalog
file for being synchronized with the latest tutorials.

2003-02-17  Kovacs Zoltan  

* src/i18n/de.po, catalogs/deutsch.cat:
Andreas Madritsch has updated German translations
(and he created texts for German menus).

2003-02-11  Kovacs Zoltan  

* help/xaos.hlp, doc/xaos.texinfo, doc/xaos.info: Fixing formula in Bailout.

* src/i18n/Makefile.in.in: Fixed installation (LC_* directory was not created).

2003-02-10  Kovacs Zoltan  

* src/Makefile.in, src/i18n/Makefile.in, src/i18n/Makefile.in.in, Makefile.in, aclocal.m4, configure, configure.in:
The wrong "gettext" library was detected. Now I read some info
about doing this correctly in the info pages of GNU gettext.
Now --disable-nls will switch i18n off. Tested and seems
to work correctly.

* src/i18n/Makefile.in: Locale directory is now generated.

* doc/xaos.texinfo, doc/xaos.info: The generated files also have to be updated.

* help/xaos.hlp:
Bailout is available as command and command line option as well.

2003-02-07  Kovacs Zoltan  

* help/xaos.hlp, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, doc/Makefile.in, doc/xaos.info, doc/xaos.texinfo:
Moving Bailout into Calculation menu in the documentation.

2003-02-06  Kovacs Zoltan  

* help/xaos.hlp, doc/xaos.texinfo, doc/xaos.info:
Added Bailout to documentation.

* ChangeLog: Automatic update by mkChangeLog

* help/xaos.hlp, doc/xaos.info, doc/xaos.texinfo:
Fixing duplicated helpmenu and file nodes.

2003-02-05  Kovacs Zoltan  

* src/i18n/fr.po, src/i18n/hu.po, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, TODO:
TODO item solved.

* catalogs/english.cat, src/ui-hlp/menu.c, src/ui/ui.c:
Fixing some problems in i18n.

2003-02-04  Kovacs Zoltan  

* help/xaos.hlp, doc/AUTHORS, doc/xaos.info, doc/xaos.texinfo:
Added Dominic Mazzoni to the list of authors.

* src/include/aconfig.h.in: RESTRICT is not neeeded.

* configure.in, configure: Mac OS X port seems to be completed. :-)

* src/include/aconfig.h.in, configure, configure.in:
Trying to solve the NO_MALLOC_H/RESTRICT problem for Mac OS X.

* configure.in, configure: Trying to detect missing malloc.h via configure.

2003-02-03  Kovacs Zoltan  

* doc/mktexi: Small bugfix.

* help/rtfconv, help/rtfconv.bat, help/Makefile.in, help/conv, help/convert, help/fixmult, help/hlp2rtf, help/hlptortf, help/htmlconv, help/htmlconvert, help/multfix, doc/mktexinfo, doc/mktexi, doc/Makefile.in:
Unfortunately CVS doesn't support changing file permissions.
So I had to rename some files. Sorry for inconvenience...

* help/rtfconv: Added UNIX version of rtfconv.bat.

* help/convert, help/fixmult, help/hlptortf, help/htmlconvert:
Re-adding using chmod 755.

* help/fixmult, help/hlptortf, help/htmlconvert, help/convert:
Deleted files, because changing their access information is not allowed.

* src/util/catalog.c, src/util/png.c, src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/play.c, src/ui/ui-drv/x11/xlib.c, src/ui/uihelp.c, src/engine/zoom.c, src/filter/filter.c, src/engine/stereogram.c, src/engine/subwindow.c, src/engine/itersmall.c, src/engine/julia.c, src/engine/palettef.c, src/engine/rotate.c, src/engine/star.c, src/engine/interlace.c, src/engine/edge.c, src/engine/edge2.c, src/engine/emboss.c, src/engine/fractal.c, src/engine/btrace.c, src/engine/dither.c, src/engine/anti.c, src/engine/blur.c, src/engine/3d.c, configure.in, configure:
Added Mac OS X support. Unfortunately its detection is very ugly yet.
Tested on Darwin 5.5 (SourceForge Compile Farm). Should be tested if other
OSes still work properly.

* configure: Forgotten to autogenerate... now it is OK.

* src/ui-hlp/ui_helper.c, src/util/catalog.c, src/util/png.c, src/util/timers.c, src/util/xstdio.c, doc/AUTHORS, doc/Makefile.in, doc/mkauthors, doc/mktexinfo, doc/xaos.geninfo, doc/xaos.info, doc/xaos.texinfo, help/Makefile.in, help/README, help/convert, help/fixmult, help/hlptortf, help/htmlconvert, help/xaos.hlp, src/engine/blur.c, src/engine/btrace.c, src/engine/dither.c, src/engine/edge.c, src/engine/edge2.c, src/engine/emboss.c, src/engine/fractal.c, src/engine/interlace.c, src/engine/itersmall.c, src/engine/julia.c, src/engine/palettef.c, src/engine/rotate.c, src/engine/star.c, src/engine/stereogram.c, src/engine/subwindow.c, src/engine/zoom.c, src/filter/filter.c, src/filter/image.c, src/filter/palette.c, src/ui-hlp/play.c, src/ui-hlp/save.c, src/ui/ui-drv/x11/xlib.c, Makefile.in, configure.in:
Added Mac OS X support, based on patches by Ben Hines.
(Officially not tested yet.)

Documentation now can be generated using Makefiles.
Fixing some small bugs in xaos.hlp and updating xaos.geninfo.

2003-01-31  Kovacs Zoltan  

* config.sub, config.guess, ltmain.sh, aclocal.m4, configure.in, configure:
Upgraded configuration with newer (however, not the newest) libtool,
suggested by Ben Hines.

2003-01-29  Kovacs Zoltan  

* src/ui-hlp/menu.c:
Mac doesn't like #undef Register(...) just #undef Register. Fix suggestion
by Andreas Madritsch. Tested.

2003-01-28  Kovacs Zoltan  

* doc/README2.dos: Adding more information.

2003-01-24  Kovacs Zoltan  

* src/ui/ui.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po:
Fixing -D DEBUG check in ui.c.

* src/ui-hlp/menu.c, src/ui/ui.c, INSTALL:
I misunderstood a fact about config.autoconf and I changed it in the
wrong way. I wrote the previous text back. Now i18n detection
information will be displayed only during -D DEBUG.

* configure: Regenerated.

* configure.in: Fixing warning message.

* tools/mkChangeLog, configure: Regenerated configure, improved mkChangeLog.

* src/Makefile.in, Makefile.in, configure.in, INSTALL:
Improving detection of GNU gettext. Beautifying INSTALL file.

2003-01-23  Kovacs Zoltan  

* src/ui-hlp/menu.c, src/i18n/fr.po, src/i18n/hu.po, src/ui/ui.c, src/i18n/de.po, src/i18n/es.po, src/i18n/cs.po, doc/README.WIN:
I forgot to commit Andreas' change for MacIntosh and Windows
sent me on 2002-10-03. Now they're all committed.

* src/i18n/README, doc/file_id.diz, doc/XaoS.lsm, doc/README.mac, doc/README.plan9, doc/SPONSORS, doc/README.ggi, doc/README.dos, doc/README.WIN, doc/README.bugs, doc/README.OS2, doc/README.BeOS, doc/README, doc/PROBLEMS, doc/AUTHORS, catalogs/README, TODO, INSTALL:
General cleanup and spelling fixes in many documentation files.
(However I'm not a native English speaker... :-)

* ChangeLog: Automatic update by mkChangeLog

* src/ui/ui-drv/svga/ui_svga.c, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/i18n/cs.po:
Fixing svgalib detection bug (it did not work at all from version 1.2
as reported by Andreas Madritsch).

2003-01-21  Kovacs Zoltan  

* doc/README2.dos, TODO, build.bat: Updates for 3.1pre6 (mainly for DOS port).

2003-01-17  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, Makefile.be, Makefile.in, configure, configure.in:
ANNOUNCE is removed from files have to be intalled.
I've forgotten to change configure.in and configure for aalib 1.4 check.

* tools/mkChangeLog: Fixing.

* ChangeLog: Automatic update by mkChangeLog

* catalogs/README, catalogs/README.i18n, catalogs/cesky.cat, catalogs/deutsch.cat, catalogs/english.cat, catalogs/espanhol.cat, catalogs/francais.cat, catalogs/magyar.cat, doc/ANNOUNCE, doc/AUTHORS, doc/PROBLEMS, doc/README, doc/README.BeOS, doc/README.OS2, doc/README.WIN, doc/README.bugs, doc/README.dos, doc/README.ggi, doc/README.mac, doc/README.plan9, doc/README2.dos, doc/XaoS.lsm, doc/compilers.txt, doc/xaos.6, doc/xaos.geninfo, doc/xaos.info, doc/xaos.texinfo, doc/xaosdev.texinfo, examples/README, help/xaos.hlp, src/i18n/Makefile.dos, src/i18n/README, tools/do-indent, tools/indent1, tools/mkChangeLog, tools/update, tools/wintounix.c, tutorial/3dtutor.xaf, tutorial/render.xaf, 3dtutor.xaf, ChangeLog.c, ChangeLog.e, ChangeLog.f, ChangeLog.g, ChangeLog.h, ChangeLog.i, ChangeLog.j, ChangeLog.k, ChangeLog.l, ChangeLog.m, ChangeLog.n, ChangeLog.old, ChangeLog.q, ChangeLog.r, ChangeLog.t, ChangeLog.u, ChangeLog.v, ChangeLog.w, ChangeLog.x, ChangeLog.y, INSTALL, INSTALL.dos, README, TODO, TODO.Be, TODO.win, anim.par, anim.pat, configure.in, do-indent, fract0.xpf, indent1, p.c, p.s, update, wintounix.c:
Major cleanup. Some files have been removed, others moved to new places.
ChangeLog is generated automatically from now on. Added missing credits
to all necessary files. Added README. ./configure now checks aalib
version >= 1.4 (version 1.3 reports bad image height, this caused memory
overflow).

2003-01-10  Kovacs Zoltan  

* ChangeLog.h, ChangeLog.c, do-indent:
ChangeLog.[ch] was indented, they should not!
Fixing do-indent.

* src/ui-hlp/play.c, src/ui-hlp/render.c, src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/wstack.c, src/util/9thread.c, src/util/png.c, src/util/timers.c, src/util/xldio.c, src/util/xmenu.c, src/util/xshl.c, src/util/xstdio.c, src/ui-hlp/menu.c, src/ui/filesel.c, src/ui/ui-drv/plan9/ui_plan9.c, src/ui/ui-drv/svga/keytables.h, src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/about.h, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui-drv/win32/ui_win32.h, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/win32/winmenu.c, src/ui/ui.c, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/i386/__math.h, src/include/plane.h, src/include/version.h, src/include/xthread.h, src/ui/dialog.c, src/engine/zoom.c, src/filter/image.c, src/filter/palette.c, src/i18n/Makefile.in, src/engine/emboss.c, src/engine/formulas.c, src/engine/fractal.c, src/engine/anti.c, src/engine/btrace.c, examples/mand9.xpf, ChangeLog.c, ChangeLog.h, do-indent, p.c:
I18n basics are finished. .po file for Hungarian language is also
considered as finished, however some irrelevant messages are not
translated yet.

"do-indent" is more intelligent. A run of this script was done
to beautify code.

2003-01-08  Kovacs Zoltan  

* src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c, src/ui-hlp/play.c, src/ui-hlp/render.c, src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/wstack.c, src/ui/uimenu.c, src/ui/dialog.c, src/ui/filesel.c, src/ui/ui.c, src/include/xmenu.h:
Enhanced i18n.

* Makefile.in: i18n should not be taken to the rules.

2003-01-04  Kovacs Zoltan  

* src/include/xmenu.h, src/ui-hlp/menu.c, src/ui/ui.c, src/Makefile.in, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/ui_helper.h, Makefile.in:
Beautifying Makefiles (i18n now can be made without installing).

A demonstration version of internationalizing dialogs
(Perturbation and Julia-seed works now, tested).

* doc/README.bugs:
Fixing a bug I put into this file however Nix fixed it earlier.

2002-12-30  Kovacs Zoltan  

* configure.in, configure:
Added HAVE_GETTEXT constant for fixing broken i18n support.

* help/xaos.hlp, tutorial/mset.xaf, tutorial/render.xaf, doc/README, doc/README.bugs, doc/XaoS.lsm, doc/compilers.txt, doc/xaos.6, doc/xaos.geninfo, doc/xaosdev.texinfo:
Automated patching from Nix' fixes. Mostly grammar fixes
in English language, however some documentation related
changes are also commited.

2002-12-09  Kovacs Zoltan  

* doc/ANNOUNCE, doc/PROBLEMS: Nix-fixes, second part. To be continued...

* catalogs/README, catalogs/english.cat, doc/ANNOUNCE, ChangeLog:
Some corrections done by Nix <nix@esperi.demon.co.uk>. There are
other fixes he did, but I was only able to start commiting his
fixes...

2002-10-19  Kovacs Zoltan  

* src/i18n/cs.po:
Czech translation by Martin Dózsa <madsoft@centrum.cz>. Tested
but not checked by an expert.

2002-10-08  Kovacs Zoltan  

* src/i18n/fr.po, src/i18n/hu.po, src/i18n/de.po, src/i18n/es.po, src/i18n/cs.po:
Spanish translation by César Pérez Turrado <cesar@uninet.edu>.
Auto-modifications for changed sources.

2002-10-02  hubicka  

* src/engine/formulas.c, src/engine/zoom.c, src/filter/random.c, src/include/config/config.plan9, src/include/ui_helper.h, src/include/xio.h, src/include/xthread.h, src/ui-hlp/menu.c, src/ui-hlp/render.c, src/ui/ui-drv/plan9/ui_plan9.c, src/util/9thread.c, src/util/help.c, src/util/timers.c, src/util/xstdio.c, mkv2, mkv3, mkv4:
Partial plan9 v2-v4 support.

* src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/include/gccaccel.h, src/include/plane.h, src/ui/ui.c, src/engine/fractal.c, src/i18n/cs.po, configure, configure.in:
Tiny bugfixes.

2002-10-01  hubicka  

* src/util/xerror.c, src/include/ui_helper.h, src/ui/pipecmd.c, src/ui/ui-drv/svga/ui_svga.c, src/ui/ui.c:
Fix warnings.

* configure, configure.in: Updates for new gcc versions.

* src/include/gccbuild.h:
Disable math inlines and see how commonly they are needed now.

* src/util/xldio.c: Avoid some conflict with mingw name space.

* src/ui-hlp/menu.c, src/ui/ui.c: FIx GETTEXT autodetection.

* src/ui/drivers.c, src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/dxguid.c, src/ui/ui-drv/win32/ui_win32.c:
Allow optional compiling of DDRAW support.

* src/include/archaccel.h: Remove rednuntant include.

* src/include/aconfig.h.in: Add gettext define.

* configure: Regenerate.

* configure.in:
Suport for disabling png by switch, better autodetection for windows, autodetect gettext.

2002-09-30  Kovacs Zoltan  

* src/i18n/hu.po: Typo fix.

2002-09-28  Kovacs Zoltan  

* ChangeLog, doc/AUTHORS: Summarizing changes since Summer 2002.

2002-09-27  Kovacs Zoltan  

* src/include/fconfig.h, src/include/fractal.h, src/include/ui_helper.h, src/ui-hlp/menu.c, src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui/ui-drv/win32/xaos.dlg, src/ui/ui.c, src/engine/formulas.c, src/engine/fractal.c:
There are 3 new fractal types and an option to change
the bailout value. The improvements have been made by
Andreas Madritsch.

All modified files were autoindented on Red Hat 6.1,
however all other files were autoindented on SuSE 7.3.
To be consistent, these files have to be reindented
on SuSE 7.3.

Here I also attach the original mail written by
Andreas.

Zoltan



From amadritsch@datacomm.ch Fri Sep 27 15:27:45 2002
Date: Fri, 27 Sep 2002 01:40:09 +0200
From: Andreas Madritsch <amadritsch@datacomm.ch>
To: kovzol@math.u-szeged.hu
Cc: jh@suse.cz
Subject: new features to XaoS

Hello

Here are my new features.

First, I added three new fractal types named newton^4, barnsley2 and
magnet2 to XaoS. For this, I made changes to the file engine/formulas.c.
I have added the original file formulas.c.orig and the changed version
formulas.c.1 to the tar archive attached, so that you can compare them
with a compare program and point out my changes. To avoid conflicts with
existing shortkeys, I changed the file ui-hlp/menu.c that the shortkeys
for additional fractal types become A, B, C in capital letters and so
on. As far as I know, capital letters are not used by XaoS yet. Because
you would use option-A, option-B and option-C on a Mac, which is not case
sensitive and conflicts with autopilot, perturbation and the outcoloring
menu, I switched them of for Mac, so Mac users have to use the menu.
There are also the files menu.c.orig and menu.c.1 in the tar archive, to
examine the changes I made.

Second, I made slight changes to the magnet fractal types, that other
colours are used for points whose orbital converge to the finite
attractor at zero. To see these changes compare the file formulas.c.orig
with the file formulas.c.2 also found in the tar archive. The file
formulas.c.12 in the archive is used to build XaoS with both the first
and the second feature.

Third, I added the menuitem bailout just below the menuitem iterations
in the calculation menu. Its main purpose is to alter the escape radius
for infinite attractors. For an example compare the mandelbrot pictures
created with a bailout of 4 and 100 when the outcoloring mode smooth is
in use. Also the barnsley fractals show interesting variants with
various bailout values in effect. Bailout defaults to 4 and is limited
to values greater than or equal to zero. For magnet fractal types the
escape radius of the finite attractor at zero decreases with increasing
bailout values, to give the possibility to improve the precision around
the origin. To achieve this, I had to change the files
include/fconfig.h, include/fractal.h, include/ui_helper.h,
ui-hlp/menu.c, ui-hlp/save.c, ui-hlp/ui_helper.c, ui/ui.c,
ui/ui-drv/win32/xaos.dlg, engine/formulas.c and engine/fractal.c. All
their original and modified versions are included in the tar archive
with the extensions .orig and .3 respectively. The files formulas.c.13
and menu.c.13 in the archive are used to build XaoS with the first and
third feature and the file formulas.c.23 is used to build XaoS with the
second and the third feature. To build XaoS with all the features you
will use formulas.c.123.

Because some *.orig files are older than the current files in cvs, you
have to check if my changes conflict with changes that have been made
after I started to add my features.

With kind regards

Andreas

2002-09-25  Kovacs Zoltan  

* src/i18n/hu.po, src/ui/ui.c:
Here I attach the whole information text about this patch.
This improvement was written by Paul Nasca <paulnasca@email.ro>.
Note that an internationalized string should be also changed.

Zoltan



Xaos version: Xaos-3.0

*** NOTE (Zoltan) ***
This is not the newest version.
**** END OF NOTE ****

the file:  src/ui/uinew.c

*** NOTE (Zoltan) ***
This file no longer exists, there is ui.c instead of it.
**** END OF NOTE ****

This patch does 2 improvements:
     1) the number of iterations are no longer incremented/decremendet by one. This is very annoing if I want to change from 10 to 100,000.
        Instead it is inc./dec. by about 5 percent of the current values.
	So, I can change in a better way the number of iterations.
	The problem is that the you cannot change it very preciselly at high numbers (anyway who cares if the number of iterations are 100,000 or 100,001 ?)

*** NOTE (Zoltan) ***
In version 3.1 this is an obsolete improvement since it already contains such a thing.
**** END OF NOTE ****

     2) the status line show the logarithm of the zoom value like:
        (zoomed 1281.25 times (3.1E) ....)
	It is very usefull at high zoomings:
	Eg. Instead counting the digit of the number 3447484602761.55 better you read (12.5E) and you know that is zoomed about 10**12 times.

I'd like if you'll add this in the xaos distribution. Hope you'll enjoy it.

Paul Nasca from Romania.

P.S. Thank you for this powerful program. When I saw first time on a 486 I could'nt belive that is possible to do a real-time zooming of fractals (even on very poverfull computers).

* src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/about.h, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui-drv/win32/ui_win32.h, src/ui/ui-drv/win32/version.rc, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/win32/winmenu.c, src/ui/ui-drv/win32/xaos.rc, src/util/timers.c, doc/README.WIN, src/include/config/config.autoconf, src/ui/ui-drv/mac/macicon.rsrc.sit, src/ui/ui-drv/mac/macproject.mcp.sit, src/ui/ui-drv/mac/macresources.rsrc.sit, src/ui/ui-drv/mac/ui_mac.c, src/ui/ui-drv/win32/Makefile.in:
I attach here the whole mail from Andreas Madritsch.
He made all of this patches. I successfully compiled
the code with his patches under Debian 3.0.  Zoltan


From amadritsch@datacomm.ch Wed Sep 25 20:48:42 2002
Date: Wed, 18 Sep 2002 00:46:43 +0200
From: Andreas Madritsch <amadritsch@datacomm.ch>
To: kovzol <kovzol@math.u-szeged.hu>
Subject: Re: Project manager

OK Here are the fixes

LINUX

For SuSe Linux I do not really have a fix, but to get the SVGA driver to
work, I had to use version 1.1.1.1 of the file
src/ui/ui-drv/svga/ui_svga.c instead of the newest version 1.2.

*** NOTE (Zoltan) ***
I didn't load the previous version back because in my opinion
the newest version works well. However, I'm not sure. I should try it first.
**** END OF NOTE ****


WIN32

For Win32, we have to make some corrections to the source code. Find
the lines 74-81 in the file src/util/timers.c, which spell as follows:

#ifdef _WIN32
/*#define QuadPart(x) (((long long)x.HighPart << 32) + x.LowPart)*/
#ifndef _ANONYMOUS_STRUCT
#define QuadPart(x) x.u.QuadPart
#else
#define QuadPart(x) x.QuadPart
#endif
#endif

These lines should be changed to look like this:

#ifdef _WIN32
#define QuadPart(x) x.QuadPart
#endif

That should not be a problem to other targets, because the code is
located in an #ifdef _WIN32 section. As a precaution, I have added the
original file timers.c.orig and the corrected version timers.c.fixed to
the tar archive attached to this mail.

Because ddraw.h is designed for compilers which support nameless unions,
we have to put a #define NONAMELESSUNION before including ddraw.h as
described in ddraw.h itself. I put the following six lines shown below
after line 20 in the file src/include/config/config.autoconf. I hope
this is the right place for such things.

/*For compilers that don't support nameless unions, do a
#define NONAMELESSUNION
before #include <ddraw.h>*/
#ifdef _WIN32
#define NONAMELESSUNION
#endif

To avoid problems with other targets, I located the code inside an
#ifdef _WIN32 section. Also here I added the original file
config.autoconf.orig and the corrected version config.autoconf.fixed to
the tar archive attached to be on the safe side.

Finally we have to fix the files about.c, about.h, Makefile.in,
ui_win32.c, ui_win32.h, version.rc, windialo.c, winmenu.c and xaos.rc in
the directory src/ui/ui-drv/win32/, because they ends with mysterious
characters (032) which make the make utility and the compiler to fail.
Also here I added the original files *.orig and the corrected versions
*.fixed to the tar archive attached.

I added a guide on compiling XaoS for Win32 to the file README.WIN.
I added the original file README.WIN.orig and the new version, which
contains my guide, README.WIN.new to the tar archive attached.


MAC

For Mac, we also have to make some corrections to the source code. Find
the lines 78 and 597 in the file src/ui/ui-drv/mac/ui_mac.c and change
full_driver to mac_full_driver. I also consider to change double_driver,
which is not used yet, in the same file on line 79, 600 and 993 to
mac_double_driver. Also here I added the original file ui_mac.c.orig and
the corrected version ui_mac.c.fixed to the tar archive attached.

Because the Mac resource forks get lost on cvs, the files macicon.rsrc,
macproject.mcp and macresources.rsrc in the directory src/ui/ui-drv/mac
should be provided as .sit files. I have added them to the tar archive
attached.

* src/ui-hlp/autod.c, src/ui-hlp/autopilot.c, src/ui-hlp/autopilot.h, src/ui-hlp/menu.c, src/ui-hlp/messg.c, src/ui-hlp/play.c, src/ui-hlp/play.h, src/ui-hlp/playtext.c, src/ui-hlp/render.c, src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/wstack.c, src/ui/ui-drv/win32/ui_win32.h, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/win32/winmenu.c, src/ui/ui-drv/x11/ui_x11.c, src/ui/ui-drv/x11/xlib.c, src/ui/ui-drv/x11/xlib.h, src/util/9thread.c, src/util/be_thread.c, src/util/catalog.c, src/util/help.c, src/util/png.c, src/util/thread.c, src/util/timers.c, src/util/xerror.c, src/util/xldio.c, src/util/xmenu.c, src/util/xshl.c, src/util/xstdio.c, src/util/xstdio_mac.c, src/util/xstring.c, src/engine/zoomd.c, src/filter/filter.c, src/filter/font.c, src/filter/grlib.c, src/filter/grlibd.c, src/filter/image.c, src/filter/palette.c, src/filter/random.c, src/include/btrace.h, src/include/catalog.h, src/include/cursor.h, src/include/filter.h, src/include/formulas.h, src/include/fractal.h, src/include/gccaccel.h, src/include/gccbuild.h, src/include/grlib.h, src/include/i386/__math.h, src/include/i386/ctrl87.h, src/include/i386/sstring.h, src/include/mac/CommonDialogs.h, src/include/mac/malloc.h, src/include/mac/stdioMac.h, src/include/misc-f.h, src/include/param.h, src/include/pixel_t.h, src/include/plane.h, src/include/timers.h, src/include/true24.h, src/include/ui.h, src/include/ui_helper.h, src/include/xerror.h, src/include/xio.h, src/include/xldio.h, src/include/xmenu.h, src/include/xshl.h, src/include/xthread.h, src/include/zoom.h, src/ui/dialog.c, src/ui/drivers.c, src/ui/filesel.c, src/ui/fparams.c, src/ui/param.c, src/ui/pipecmd.c, src/ui/ui-drv/BeOS/MenuMessage.h, src/ui/ui-drv/BeOS/XaoSAbstractWindow.h, src/ui/ui-drv/BeOS/XaoSApplication.h, src/ui/ui-drv/BeOS/XaoSDialog.h, src/ui/ui-drv/BeOS/XaoSDirectScreen.h, src/ui/ui-drv/BeOS/XaoSDirectView.h, src/ui/ui-drv/BeOS/XaoSDirectWindow.h, src/ui/ui-drv/BeOS/XaoSEvent.h, src/ui/ui-drv/BeOS/XaoSMenu.h, src/ui/ui-drv/BeOS/XaoSProducer.h, src/ui/ui-drv/BeOS/XaoSScreenView.h, src/ui/ui-drv/BeOS/XaoSSplashView.h, src/ui/ui-drv/BeOS/XaoSSplashWindow.h, src/ui/ui-drv/BeOS/XaoSView.h, src/ui/ui-drv/BeOS/XaoSWindow.h, src/ui/ui-drv/BeOS/be_checkfile.h, src/ui/ui-drv/BeOS/be_possitionio.h, src/ui/ui-drv/aa/ui_aa.c, src/ui/ui-drv/dga/ui_dga.c, src/ui/ui-drv/dos/ui_dos.c, src/ui/ui-drv/ggi/ui_ggi.c, src/ui/ui-drv/mac/CommonDialogs.c, src/ui/ui-drv/mac/directoryfunctions/Director.h, src/ui/ui-drv/mac/directoryfunctions/FSpCompa.h, src/ui/ui-drv/mac/directoryfunctions/FileCopy.h, src/ui/ui-drv/mac/directoryfunctions/FullPath.h, src/ui/ui-drv/mac/directoryfunctions/IterateD.h, src/ui/ui-drv/mac/directoryfunctions/MoreDesk.h, src/ui/ui-drv/mac/directoryfunctions/MoreExtr.h, src/ui/ui-drv/mac/directoryfunctions/MoreFile.h, src/ui/ui-drv/mac/directoryfunctions/Optim.h, src/ui/ui-drv/mac/directoryfunctions/OptimEnd.h, src/ui/ui-drv/mac/directoryfunctions/Search.h, src/ui/ui-drv/mac/directoryfunctions/mfsearch.h, src/ui/ui-drv/mac/macmenus.c, src/ui/ui-drv/mac/stdioMac.c, src/ui/ui-drv/mac/ui_mac.c, src/ui/ui-drv/os2/ui_os2vio.c, src/ui/ui-drv/plan9/ui_plan9.c, src/ui/ui-drv/svga/keytables.h, src/ui/ui-drv/svga/ui_svga.c, src/ui/ui-drv/template/ui_template.c, src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/about.h, src/ui/ui-drv/win32/dxguid.c, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui.c, src/ui/uihelp.c, src/ui/uiint.h, src/ui/uimenu.c, do-indent, indent1, src/engine/3d.c, src/engine/3dd.c, src/engine/anti.c, src/engine/blur.c, src/engine/btrace.c, src/engine/btraced.c, src/engine/calculate.h, src/engine/dither.c, src/engine/docalc.c, src/engine/edge.c, src/engine/edge2.c, src/engine/edge2d.c, src/engine/edged.c, src/engine/emboss.c, src/engine/formulas.c, src/engine/fractal.c, src/engine/i386.c, src/engine/interlace.c, src/engine/itersmall.c, src/engine/julia.c, src/engine/julia.h, src/engine/paletted.c, src/engine/palettef.c, src/engine/plane.c, src/engine/rotate.c, src/engine/rotated.c, src/engine/star.c, src/engine/stard.c, src/engine/stereod.c, src/engine/stereogram.c, src/engine/subwindow.c, src/engine/zoom.c, wintounix.c:
Almost all source files have been autoindented using the GNU indent
program. Most files had to be converted from Microsoft's 0x0d0a
format to Unix' 0x0a format. See wintounix.c, indent1 and do-indent
for details. To autoindent all *.c and *.h files you should rerun
do-indent. Hopefully all the things are working now, too... :-)

2002-09-13  Kovacs Zoltan  

* src/Makefile.dos, src/i18n/Makefile.dos, src/i18n/README, src/i18n/xaos-cs.bat, src/i18n/xaos-de.bat, src/i18n/xaos-es.bat, src/i18n/xaos-fr.bat, src/i18n/xaos-hu.bat, src/ui/ui.c, INSTALL.dos, build.bat, configure, configure.in:
I18n support on DOS. More intelligent code detecting locale settings.
Should also work with buggy glibc (on SuSE 7.3 upgrade) as well.

2002-09-11  Kovacs Zoltan  

* src/ui-hlp/menu.c, src/ui/ui.c, ChangeLog, INSTALL, INSTALL.dos, build.bat, configure, configure.in:
I18n can be turned off with configure. Tested also under MS-DOS
(without i18n).

2002-09-02  Kovacs Zoltan  

* src/i18n/Makefile.in, src/i18n/README, src/i18n/cs.po, src/i18n/de.po, src/i18n/es.po, src/i18n/fr.po, src/i18n/hu.po, src/ui-hlp/menu.c, src/ui/ui.c, catalogs/README.i18n:
Improved i18n support, added entries for those languages which
have already existed among the catalog files. Help/Language menu is
no longer available, because all menu entries are automatically
generated by locale settings. See src/ui/ui.c for details.

2002-08-26  Kovacs Zoltan  

* doc/AUTHORS, src/i18n/Makefile.in, src/i18n/README, src/i18n/hu.po, src/include/ui_helper.h, src/include/xmenu.h, src/ui-hlp/menu.c, src/ui/ui.c, Makefile.in, configure, configure.in:
Internationalization (i18n) support. Currently works only with Hungarian
language but any language can be easily added. See src/i18n/README
for details.

The "configure" script has been also updated. With autoconf 2.52 I also
regenerated this file. I also used autoscan to generate an up-to-date
configure.in and I merged the old one together with the new one.
Hopefully it still works now without any problems.

Bugs: if gettext is not installed, the package does not work anymore.
There should be checked if it is missing or not, mainly under DOS and
Windows (and maybe other platforms as well) and if it is not available,
then easily add a

STRING gettext(STRING translatable)
{
 return translatable;
}

or something like this to the code with #ifdef.

2002-08-08  Kovacs Zoltan  

* src/filter/Makefile.OS2, src/filter/Makefile.dos, src/filter/Makefile.in, src/engine/Makefile.dos, src/engine/Makefile.in, src/engine/Makefile.os2:
Some *d.c files are heavily used during generating .o files however
Makefiles contained mostly nothing about this. This has been now
hopefully fixed.

2002-06-03  Kovacs Zoltan  

* catalogs/magyar.cat, doc/README, src/ui-hlp/menu.c:
Added tutorial for Hungarian (magyar) language.

2002-05-17  Kovacs Zoltan  

* src/ui/ui.c: Denying letterspersec==0 for arrow keys during play

2001-05-31  hubicka  

* src/ui/ui-drv/svga/ui_svga.c: Fix.

2001-05-27  dmazzoni  

* src/ui/ui-drv/mac/directoryfunctions/Search.h, src/ui/ui-drv/mac/directoryfunctions/Search.cpp, src/ui/ui-drv/mac/directoryfunctions/OptimEnd.h, src/ui/ui-drv/mac/directoryfunctions/Optim.h, src/ui/ui-drv/mac/directoryfunctions/MoreFile.h, src/ui/ui-drv/mac/directoryfunctions/MoreFile.cpp, src/ui/ui-drv/mac/directoryfunctions/MoreExtr.h, src/ui/ui-drv/mac/directoryfunctions/MoreExtr.cpp, src/ui/ui-drv/mac/directoryfunctions/MoreDesk.h, src/ui/ui-drv/mac/directoryfunctions/MoreDesk.cpp, src/ui/ui-drv/mac/directoryfunctions/mfsearch.h, src/ui/ui-drv/mac/directoryfunctions/mfsearch.cpp, src/ui/ui-drv/mac/directoryfunctions/IterateD.h, src/ui/ui-drv/mac/directoryfunctions/IterateD.cpp, src/ui/ui-drv/mac/directoryfunctions/FullPath.h, src/ui/ui-drv/mac/directoryfunctions/FullPath.cpp, src/ui/ui-drv/mac/directoryfunctions/FSpCompa.h, src/ui/ui-drv/mac/directoryfunctions/FSpCompa.cpp, src/ui/ui-drv/mac/directoryfunctions/FileCopy.h, src/ui/ui-drv/mac/directoryfunctions/FileCopy.cpp, src/ui/ui-drv/mac/directoryfunctions/Director.h, src/ui/ui-drv/mac/directoryfunctions/Director.cpp:
The "MoreFiles" sources provided by Apple Computer to iterate directories, etc.

* src/include/config/config.mac: Mac port

* src/util/xstdio_mac.c: *** empty log message ***

* src/ui/ui-drv/mac/ui_mac.c, src/ui/ui.c, src/util/timers.c, src/ui/pipecmd.c, src/engine/fractal.c, src/ui/drivers.c, src/ui/dialog.c:
Mac port

2001-04-21  dmazzoni  

* src/ui/ui-drv/mac/ui_mac.c, src/ui/ui-drv/mac/stdioMac.c, src/ui/ui-drv/mac/CommonDialogs.c:
Mac port by Dominic Mazzoni

* src/ui/ui-drv/mac/macmenus.c: *** empty log message ***

* src/ui/ui-drv/mac/macresources.rsrc, src/ui/ui-drv/mac/macproject.mcp, src/ui/ui-drv/mac/macicon.rsrc:
Mac project and resource files by Dominic Mazzoni

* src/include/config/config.mac, src/include/config/aconfig.mac:
Mac port by Dominic Mazzoni

* src/include/mac/malloc.h:
There's no equivalent file on the mac, so we stick this dummy file here

2001-04-12  hubicka  

* src/util/timers.c: Win32 fix

* src/ui/ui-drv/win32/dxguid.c: Kill include of dxsound.h

2001-04-10  hubicka  

* tutorial/octo.xaf: fix

* catalogs/english.cat, tutorial/new30.xaf: Fix minor tutorial bugs.

* configure, configure.in: fix typo

2001-04-05  hubicka  

* src/include/i386/sstring.h: Fix glibc compilation problem.

* src/util/timers.c, src/util/xldio.c, src/ui/ui-drv/win32/about.rc:
Fix cygwin compilation problems

2001-02-06  hubicka  

* tutorial/flake5.xhf, tutorial/flaketh.xhf, tutorial/fmath.xaf, tutorial/fractal.xaf, tutorial/head.xhf, tutorial/incolor.xaf, tutorial/innew.xhf, tutorial/intro.xaf, tutorial/julia.xaf, tutorial/keys.xhf, tutorial/line1.xhf, tutorial/magnet.xaf, tutorial/mset.xaf, tutorial/msetren.xaf, tutorial/new30.xaf, tutorial/newton.xaf, tutorial/octo.xaf, tutorial/other.xaf, tutorial/outcolor.xaf, tutorial/outnew.xhf, tutorial/palette.xaf, tutorial/palette.xhf, tutorial/pause.xhf, tutorial/pert.xaf, tutorial/pert.xhf, tutorial/phoenix.xaf, tutorial/plane.xaf, tutorial/power.xaf, tutorial/render.xaf, tutorial/square.xhf, tutorial/tree.xhf, tutorial/truecol.xaf, tutorial/truecol.xhf:
Imported sources

* tutorial/flake5.xhf, tutorial/flaketh.xhf, tutorial/fmath.xaf, tutorial/fractal.xaf, tutorial/head.xhf, tutorial/incolor.xaf, tutorial/innew.xhf, tutorial/intro.xaf, tutorial/julia.xaf, tutorial/keys.xhf, tutorial/line1.xhf, tutorial/magnet.xaf, tutorial/mset.xaf, tutorial/msetren.xaf, tutorial/new30.xaf, tutorial/newton.xaf, tutorial/octo.xaf, tutorial/other.xaf, tutorial/outcolor.xaf, tutorial/outnew.xhf, tutorial/palette.xaf, tutorial/palette.xhf, tutorial/pause.xhf, tutorial/pert.xaf, tutorial/pert.xhf, tutorial/phoenix.xaf, tutorial/plane.xaf, tutorial/power.xaf, tutorial/render.xaf, tutorial/square.xhf, tutorial/tree.xhf, tutorial/truecol.xaf, tutorial/truecol.xhf:
New file.

* src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/wstack.c, src/util/9thread.c, src/util/Makefile.dos, src/util/Makefile.in, src/util/Makefile.os2, src/util/be_thread.c, src/util/catalog.c, src/util/help.c, src/util/png.c, src/util/thread.c, src/util/timers.c, src/util/xerror.c, src/util/xldio.c, src/util/xmenu.c, src/util/xshl.c, src/util/xstdio.c, src/util/xstring.c, tutorial/anim.xaf, tutorial/anim.xhf, tutorial/barnsley.xaf, tutorial/coast.xhf, tutorial/dimension.xaf, tutorial/escape.xaf, tutorial/features.xaf, tutorial/filter.xaf, tutorial/filter.xhf, tutorial/flake1.xhf, tutorial/flake2.xhf, tutorial/flake3.xhf, tutorial/flake4.xhf:
Imported sources

* src/ui-hlp/save.c, src/ui-hlp/ui_helper.c, src/ui-hlp/wstack.c, src/util/9thread.c, src/util/Makefile.dos, src/util/Makefile.in, src/util/Makefile.os2, src/util/be_thread.c, src/util/catalog.c, src/util/help.c, src/util/png.c, src/util/thread.c, src/util/timers.c, src/util/xerror.c, src/util/xldio.c, src/util/xmenu.c, src/util/xshl.c, src/util/xstdio.c, src/util/xstring.c, tutorial/anim.xaf, tutorial/anim.xhf, tutorial/barnsley.xaf, tutorial/coast.xhf, tutorial/dimension.xaf, tutorial/escape.xaf, tutorial/features.xaf, tutorial/filter.xaf, tutorial/filter.xhf, tutorial/flake1.xhf, tutorial/flake2.xhf, tutorial/flake3.xhf, tutorial/flake4.xhf:
New file.

* src/ui-hlp/Makefile.OS2, src/ui-hlp/Makefile.dos, src/ui-hlp/Makefile.in, src/ui-hlp/autod.c, src/ui-hlp/autopilot.c, src/ui-hlp/autopilot.h, src/ui-hlp/menu.c, src/ui-hlp/messg.c, src/ui-hlp/play.c, src/ui-hlp/play.h, src/ui-hlp/playtext.c, src/ui-hlp/qq, src/ui-hlp/render.c, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/win32/winmenu.c, src/ui/ui-drv/win32/xaos.dlg, src/ui/ui-drv/win32/xaos.ico, src/ui/ui-drv/win32/xaos.rc, src/ui/ui-drv/win32/xaos.res, src/ui/ui-drv/x11/Makefile.in, src/ui/ui-drv/x11/ui_x11.c, src/ui/ui-drv/x11/xlib.c, src/ui/ui-drv/x11/xlib.h:
Imported sources

* src/ui-hlp/Makefile.OS2, src/ui-hlp/Makefile.dos, src/ui-hlp/Makefile.in, src/ui-hlp/autod.c, src/ui-hlp/autopilot.c, src/ui-hlp/autopilot.h, src/ui-hlp/menu.c, src/ui-hlp/messg.c, src/ui-hlp/play.c, src/ui-hlp/play.h, src/ui-hlp/playtext.c, src/ui-hlp/qq, src/ui-hlp/render.c, src/ui/ui-drv/win32/windialo.c, src/ui/ui-drv/win32/winmenu.c, src/ui/ui-drv/win32/xaos.dlg, src/ui/ui-drv/win32/xaos.ico, src/ui/ui-drv/win32/xaos.rc, src/ui/ui-drv/win32/xaos.res, src/ui/ui-drv/x11/Makefile.in, src/ui/ui-drv/x11/ui_x11.c, src/ui/ui-drv/x11/xlib.c, src/ui/ui-drv/x11/xlib.h:
New file.

* src/ui/ui-drv/mac/ui_mac.c, src/ui/ui-drv/os2/Makefile.OS2, src/ui/ui-drv/os2/ui_os2vio.c, src/ui/ui-drv/plan9/ui_plan9.c, src/ui/ui-drv/svga/Makefile.in, src/ui/ui-drv/svga/keytables.h, src/ui/ui-drv/svga/ui_svga.c, src/ui/ui-drv/template/Makefile.in, src/ui/ui-drv/template/ui_template.c, src/ui/ui-drv/win32/Makefile.in, src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/about.h, src/ui/ui-drv/win32/about.rc, src/ui/ui-drv/win32/dxguid.c, src/ui/ui-drv/win32/resource.h, src/ui/ui-drv/win32/small.ico, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui-drv/win32/ui_win32.h, src/ui/ui-drv/win32/version.rc:
Imported sources

* src/ui/ui-drv/mac/ui_mac.c, src/ui/ui-drv/os2/Makefile.OS2, src/ui/ui-drv/os2/ui_os2vio.c, src/ui/ui-drv/plan9/ui_plan9.c, src/ui/ui-drv/svga/Makefile.in, src/ui/ui-drv/svga/keytables.h, src/ui/ui-drv/svga/ui_svga.c, src/ui/ui-drv/template/Makefile.in, src/ui/ui-drv/template/ui_template.c, src/ui/ui-drv/win32/Makefile.in, src/ui/ui-drv/win32/about.c, src/ui/ui-drv/win32/about.h, src/ui/ui-drv/win32/about.rc, src/ui/ui-drv/win32/dxguid.c, src/ui/ui-drv/win32/resource.h, src/ui/ui-drv/win32/small.ico, src/ui/ui-drv/win32/ui_win32.c, src/ui/ui-drv/win32/ui_win32.h, src/ui/ui-drv/win32/version.rc:
New file.

* src/ui/ui-drv/BeOS/SplashScreen, src/ui/ui-drv/BeOS/XaoS.r, src/ui/ui-drv/BeOS/XaoSAbstractWindow.h, src/ui/ui-drv/BeOS/XaoSApplication.cpp, src/ui/ui-drv/BeOS/XaoSApplication.h, src/ui/ui-drv/BeOS/XaoSDialog.cpp, src/ui/ui-drv/BeOS/XaoSDialog.h, src/ui/ui-drv/BeOS/XaoSDirectScreen.cpp, src/ui/ui-drv/BeOS/XaoSDirectScreen.h, src/ui/ui-drv/BeOS/XaoSDirectView.cpp, src/ui/ui-drv/BeOS/XaoSDirectView.h, src/ui/ui-drv/BeOS/XaoSDirectWindow.cpp, src/ui/ui-drv/BeOS/XaoSDirectWindow.h, src/ui/ui-drv/BeOS/XaoSEvent.h, src/ui/ui-drv/BeOS/XaoSMediaAddOn.cpp, src/ui/ui-drv/BeOS/XaoSMenu.cpp, src/ui/ui-drv/BeOS/XaoSMenu.h, src/ui/ui-drv/BeOS/XaoSProducer.cpp, src/ui/ui-drv/BeOS/XaoSProducer.h, src/ui/ui-drv/BeOS/XaoSResources, src/ui/ui-drv/BeOS/XaoSScreenView.cpp, src/ui/ui-drv/BeOS/XaoSScreenView.h, src/ui/ui-drv/BeOS/XaoSSplashView.cpp, src/ui/ui-drv/BeOS/XaoSSplashView.h, src/ui/ui-drv/BeOS/XaoSSplashWindow.cpp, src/ui/ui-drv/BeOS/XaoSSplashWindow.h, src/ui/ui-drv/BeOS/XaoSTranslator.cpp, src/ui/ui-drv/BeOS/XaoSView.cpp, src/ui/ui-drv/BeOS/XaoSView.h, src/ui/ui-drv/BeOS/XaoSWindow.cpp, src/ui/ui-drv/BeOS/XaoSWindow.h, src/ui/ui-drv/BeOS/be_checkfile.cpp, src/ui/ui-drv/BeOS/be_checkfile.h, src/ui/ui-drv/BeOS/be_error.cpp, src/ui/ui-drv/BeOS/be_main.cpp, src/ui/ui-drv/BeOS/be_possitionio.cpp, src/ui/ui-drv/BeOS/be_possitionio.h, src/ui/ui-drv/BeOS/ui_be.cpp, src/ui/ui-drv/BeOS/ui_be.cpp.swp, src/ui/ui-drv/aa/Makefile.OS2, src/ui/ui-drv/aa/Makefile.dos, src/ui/ui-drv/aa/Makefile.in, src/ui/ui-drv/aa/ui_aa.c, src/ui/ui-drv/dga/Makefile.in, src/ui/ui-drv/dga/ui_dga.c, src/ui/ui-drv/dos/Makefile.dos, src/ui/ui-drv/dos/ui_dos.c, src/ui/ui-drv/ggi/Makefile.in, src/ui/ui-drv/ggi/ui_ggi.c, src/ui/ui-drv/mac/CommonDialogs.c, src/ui/ui-drv/mac/stdioMac.c:
Imported sources

* src/ui/ui-drv/BeOS/SplashScreen, src/ui/ui-drv/BeOS/XaoS.r, src/ui/ui-drv/BeOS/XaoSAbstractWindow.h, src/ui/ui-drv/BeOS/XaoSApplication.cpp, src/ui/ui-drv/BeOS/XaoSApplication.h, src/ui/ui-drv/BeOS/XaoSDialog.cpp, src/ui/ui-drv/BeOS/XaoSDialog.h, src/ui/ui-drv/BeOS/XaoSDirectScreen.cpp, src/ui/ui-drv/BeOS/XaoSDirectScreen.h, src/ui/ui-drv/BeOS/XaoSDirectView.cpp, src/ui/ui-drv/BeOS/XaoSDirectView.h, src/ui/ui-drv/BeOS/XaoSDirectWindow.cpp, src/ui/ui-drv/BeOS/XaoSDirectWindow.h, src/ui/ui-drv/BeOS/XaoSEvent.h, src/ui/ui-drv/BeOS/XaoSMediaAddOn.cpp, src/ui/ui-drv/BeOS/XaoSMenu.cpp, src/ui/ui-drv/BeOS/XaoSMenu.h, src/ui/ui-drv/BeOS/XaoSProducer.cpp, src/ui/ui-drv/BeOS/XaoSProducer.h, src/ui/ui-drv/BeOS/XaoSResources, src/ui/ui-drv/BeOS/XaoSScreenView.cpp, src/ui/ui-drv/BeOS/XaoSScreenView.h, src/ui/ui-drv/BeOS/XaoSSplashView.cpp, src/ui/ui-drv/BeOS/XaoSSplashView.h, src/ui/ui-drv/BeOS/XaoSSplashWindow.cpp, src/ui/ui-drv/BeOS/XaoSSplashWindow.h, src/ui/ui-drv/BeOS/XaoSTranslator.cpp, src/ui/ui-drv/BeOS/XaoSView.cpp, src/ui/ui-drv/BeOS/XaoSView.h, src/ui/ui-drv/BeOS/XaoSWindow.cpp, src/ui/ui-drv/BeOS/XaoSWindow.h, src/ui/ui-drv/BeOS/be_checkfile.cpp, src/ui/ui-drv/BeOS/be_checkfile.h, src/ui/ui-drv/BeOS/be_error.cpp, src/ui/ui-drv/BeOS/be_main.cpp, src/ui/ui-drv/BeOS/be_possitionio.cpp, src/ui/ui-drv/BeOS/be_possitionio.h, src/ui/ui-drv/BeOS/ui_be.cpp, src/ui/ui-drv/BeOS/ui_be.cpp.swp, src/ui/ui-drv/aa/Makefile.OS2, src/ui/ui-drv/aa/Makefile.dos, src/ui/ui-drv/aa/Makefile.in, src/ui/ui-drv/aa/ui_aa.c, src/ui/ui-drv/dga/Makefile.in, src/ui/ui-drv/dga/ui_dga.c, src/ui/ui-drv/dos/Makefile.dos, src/ui/ui-drv/dos/ui_dos.c, src/ui/ui-drv/ggi/Makefile.in, src/ui/ui-drv/ggi/ui_ggi.c, src/ui/ui-drv/mac/CommonDialogs.c, src/ui/ui-drv/mac/stdioMac.c:
New file.

* src/ui/Makefile.OS2, src/ui/Makefile.dos, src/ui/Makefile.in, src/ui/dialog.c, src/ui/drivers.c, src/ui/filesel.c, src/ui/fparams.c, src/ui/param.c, src/ui/pipecmd.c, src/ui/ui-drv/BeOS/Makefile.in, src/ui/ui-drv/BeOS/MenuMessage.h, src/ui/ui.c, src/ui/uihelp.c, src/ui/uiint.h, src/ui/uimenu.c:
Imported sources

* src/ui/Makefile.OS2, src/ui/Makefile.dos, src/ui/Makefile.in, src/ui/dialog.c, src/ui/drivers.c, src/ui/filesel.c, src/ui/fparams.c, src/ui/param.c, src/ui/pipecmd.c, src/ui/ui-drv/BeOS/Makefile.in, src/ui/ui-drv/BeOS/MenuMessage.h, src/ui/ui.c, src/ui/uihelp.c, src/ui/uiint.h, src/ui/uimenu.c:
New file.

* src/filter/font.c, src/filter/grlib.c, src/filter/grlibd.c, src/filter/image.c, src/filter/palette.c, src/filter/random.c, src/include/aconfig.h.in, src/include/archaccel.h, src/include/btrace.h, src/include/c256.h, src/include/catalog.h, src/include/complex.h, src/include/config/aconfig.be, src/include/config/aconfig.mac, src/include/config/aconfig.os2, src/include/config/aconfig.plan9, src/include/config/aconfig.std, src/include/config/config.autoconf, src/include/config/config.dos, src/include/config/config.mac, src/include/config/config.os2, src/include/config/config.plan9, src/include/config/config.std, src/include/cursor.h, src/include/fconfig.h, src/include/filter.h, src/include/formulas.h, src/include/fractal.h, src/include/gccaccel.h, src/include/gccbuild.h, src/include/generic.h, src/include/grlib.h, src/include/hicolor.h, src/include/i386/__math.h, src/include/i386/ctrl87.h, src/include/i386/sstring.h, src/include/mac/CommonDialogs.h, src/include/mac/stdioMac.h, src/include/misc-f.h, src/include/param.h, src/include/pixel_t.h, src/include/plane.h, src/include/port.h, src/include/prefix.h, src/include/timers.h, src/include/true24.h, src/include/truecolor.h, src/include/ui.h, src/include/ui_helper.h, src/include/version.h, src/include/xerror.h, src/include/xio.h, src/include/xldio.h, src/include/xmenu.h, src/include/xshl.h, src/include/xthread.h, src/include/zoom.h:
Imported sources

* src/filter/font.c, src/filter/grlib.c, src/filter/grlibd.c, src/filter/image.c, src/filter/palette.c, src/filter/random.c, src/include/aconfig.h.in, src/include/archaccel.h, src/include/btrace.h, src/include/c256.h, src/include/catalog.h, src/include/complex.h, src/include/config/aconfig.be, src/include/config/aconfig.mac, src/include/config/aconfig.os2, src/include/config/aconfig.plan9, src/include/config/aconfig.std, src/include/config/config.autoconf, src/include/config/config.dos, src/include/config/config.mac, src/include/config/config.os2, src/include/config/config.plan9, src/include/config/config.std, src/include/cursor.h, src/include/fconfig.h, src/include/filter.h, src/include/formulas.h, src/include/fractal.h, src/include/gccaccel.h, src/include/gccbuild.h, src/include/generic.h, src/include/grlib.h, src/include/hicolor.h, src/include/i386/__math.h, src/include/i386/ctrl87.h, src/include/i386/sstring.h, src/include/mac/CommonDialogs.h, src/include/mac/stdioMac.h, src/include/misc-f.h, src/include/param.h, src/include/pixel_t.h, src/include/plane.h, src/include/port.h, src/include/prefix.h, src/include/timers.h, src/include/true24.h, src/include/truecolor.h, src/include/ui.h, src/include/ui_helper.h, src/include/version.h, src/include/xerror.h, src/include/xio.h, src/include/xldio.h, src/include/xmenu.h, src/include/xshl.h, src/include/xthread.h, src/include/zoom.h:
New file.

* src/engine/docalc.c, src/engine/edge.c, src/engine/edge2.c, src/engine/edge2d.c, src/engine/edged.c, src/engine/emboss.c, src/engine/formulas.c, src/engine/fractal.c, src/engine/i386.c, src/engine/i386asm.S, src/engine/interlace.c, src/engine/itersmall.c, src/engine/julia.c, src/engine/julia.h, src/engine/paletted.c, src/engine/palettef.c, src/engine/plane.c, src/engine/rotate.c, src/engine/rotated.c, src/engine/star.c, src/engine/stard.c, src/engine/stereod.c, src/engine/stereogram.c, src/engine/subwindow.c, src/engine/zoom.c, src/engine/zoomd.c, src/filter/Makefile.OS2, src/filter/Makefile.dos, src/filter/Makefile.in, src/filter/filter.c:
Imported sources

* src/engine/docalc.c, src/engine/edge.c, src/engine/edge2.c, src/engine/edge2d.c, src/engine/edged.c, src/engine/emboss.c, src/engine/formulas.c, src/engine/fractal.c, src/engine/i386.c, src/engine/i386asm.S, src/engine/interlace.c, src/engine/itersmall.c, src/engine/julia.c, src/engine/julia.h, src/engine/paletted.c, src/engine/palettef.c, src/engine/plane.c, src/engine/rotate.c, src/engine/rotated.c, src/engine/star.c, src/engine/stard.c, src/engine/stereod.c, src/engine/stereogram.c, src/engine/subwindow.c, src/engine/zoom.c, src/engine/zoomd.c, src/filter/Makefile.OS2, src/filter/Makefile.dos, src/filter/Makefile.in, src/filter/filter.c:
New file.

* help/xaos.hlp, help/xaoswin.Hpj, src/Makefile.dos, src/Makefile.in, src/dos.mak, src/dos1.mak, src/engine/3d.c, src/engine/3dd.c, src/engine/Makefile.dos, src/engine/Makefile.in, src/engine/Makefile.os2, src/engine/anti.c, src/engine/blur.c, src/engine/btrace.c, src/engine/btraced.c, src/engine/calculate.h, src/engine/dither.c:
Imported sources

* help/xaos.hlp, help/xaoswin.Hpj, src/Makefile.dos, src/Makefile.in, src/dos.mak, src/dos1.mak, src/engine/3d.c, src/engine/3dd.c, src/engine/Makefile.dos, src/engine/Makefile.in, src/engine/Makefile.os2, src/engine/anti.c, src/engine/blur.c, src/engine/btrace.c, src/engine/btraced.c, src/engine/calculate.h, src/engine/dither.c:
New file.

* help/help.jpg, help/hlptortf, help/htmlconvert, help/rtfconv.bat:
Imported sources

* help/help.jpg, help/hlptortf, help/htmlconvert, help/rtfconv.bat: New file.

* doc/xaosdev.texinfo, examples/0rfel1.xpf, examples/0rfel2.xpf, examples/2spirals.xpf, examples/3d1.xpf, examples/3d2.xpf, examples/3d3.xpf, examples/3d4.xpf, examples/3d5.xpf, examples/3d6.xpf, examples/3d7.xpf, examples/3d8.xpf, examples/3d9.xpf, examples/README, examples/axe.xpf, examples/barnsl1.xpf, examples/barnsl2.xpf, examples/barnsl3.xpf, examples/barnsl4.xpf, examples/barnsl5.xpf, examples/barnsl6.xpf, examples/barnsl7.xpf, examples/barnsl8.xpf, examples/barnsl9.xpf, examples/beatle.xpf, examples/beatle2.xpf, examples/brown.xpf, examples/checker.xpf, examples/crone.xpf, examples/dblspira.xpf, examples/dragons.xpf, examples/dragons2.xpf, examples/edge.xpf, examples/edge2.xpf, examples/edge3.xpf, examples/eifell.xpf, examples/galaxy.xpf, examples/goldrive.xpf, examples/head.xpf, examples/head2.xpf, examples/head3.xpf, examples/incolor1.xpf, examples/incolor2.xpf, examples/incolor3.xpf, examples/incolor4.xpf, examples/incolor5.xpf, examples/julia.xpf, examples/julia2.xpf, examples/julia3.xpf, examples/julia4.xpf, examples/julia5.xpf, examples/juliaanim.xaf, examples/lemon.xpf, examples/light.xpf, examples/magnet.xpf, examples/magnet1.xpf, examples/magnet2.xpf, examples/magnet3.xpf, examples/magnet4.xpf, examples/mand1.xpf, examples/mand2.xpf, examples/mand3.xpf, examples/mand4.xpf, examples/mand5.xpf, examples/mand7.xpf, examples/mand8.xpf, examples/mandanim.xaf, examples/minibrot.xpf, examples/newton.xaf, examples/newton.xpf, examples/newton2.xpf, examples/newton3.xpf, examples/octo.xpf, examples/palace.xpf, examples/perb1.xpf, examples/perb2.xpf, examples/perb3.xpf, examples/perb4.xpf, examples/perb5.xpf, examples/phoenix1.xpf, examples/phoenix2.xpf, examples/redjulia.xpf, examples/redmand.xpf, examples/redmand2.xpf, examples/rocks.xpf, examples/shell.xpf, examples/something.xpf, examples/spiral.xpf, examples/spiral2.xpf, examples/spiral3.xpf, examples/spiral4.xpf, examples/sprial.xpf, examples/sun.xpf, examples/thebug.xpf, examples/tower.xpf, examples/tree.xpf, examples/triangle.xpf, examples/truecol1.xpf, examples/truecol2.xpf, examples/truecol3.xpf, examples/truecol4.xpf, examples/truecol5.xpf, examples/truecol6.xpf, examples/truecol7.xpf, examples/ufo.xpf, help/convert, help/fixmult:
Imported sources

* doc/xaosdev.texinfo, examples/0rfel1.xpf, examples/0rfel2.xpf, examples/2spirals.xpf, examples/3d1.xpf, examples/3d2.xpf, examples/3d3.xpf, examples/3d4.xpf, examples/3d5.xpf, examples/3d6.xpf, examples/3d7.xpf, examples/3d8.xpf, examples/3d9.xpf, examples/README, examples/axe.xpf, examples/barnsl1.xpf, examples/barnsl2.xpf, examples/barnsl3.xpf, examples/barnsl4.xpf, examples/barnsl5.xpf, examples/barnsl6.xpf, examples/barnsl7.xpf, examples/barnsl8.xpf, examples/barnsl9.xpf, examples/beatle.xpf, examples/beatle2.xpf, examples/brown.xpf, examples/checker.xpf, examples/crone.xpf, examples/dblspira.xpf, examples/dragons.xpf, examples/dragons2.xpf, examples/edge.xpf, examples/edge2.xpf, examples/edge3.xpf, examples/eifell.xpf, examples/galaxy.xpf, examples/goldrive.xpf, examples/head.xpf, examples/head2.xpf, examples/head3.xpf, examples/incolor1.xpf, examples/incolor2.xpf, examples/incolor3.xpf, examples/incolor4.xpf, examples/incolor5.xpf, examples/julia.xpf, examples/julia2.xpf, examples/julia3.xpf, examples/julia4.xpf, examples/julia5.xpf, examples/juliaanim.xaf, examples/lemon.xpf, examples/light.xpf, examples/magnet.xpf, examples/magnet1.xpf, examples/magnet2.xpf, examples/magnet3.xpf, examples/magnet4.xpf, examples/mand1.xpf, examples/mand2.xpf, examples/mand3.xpf, examples/mand4.xpf, examples/mand5.xpf, examples/mand7.xpf, examples/mand8.xpf, examples/mandanim.xaf, examples/minibrot.xpf, examples/newton.xaf, examples/newton.xpf, examples/newton2.xpf, examples/newton3.xpf, examples/octo.xpf, examples/palace.xpf, examples/perb1.xpf, examples/perb2.xpf, examples/perb3.xpf, examples/perb4.xpf, examples/perb5.xpf, examples/phoenix1.xpf, examples/phoenix2.xpf, examples/redjulia.xpf, examples/redmand.xpf, examples/redmand2.xpf, examples/rocks.xpf, examples/shell.xpf, examples/something.xpf, examples/spiral.xpf, examples/spiral2.xpf, examples/spiral3.xpf, examples/spiral4.xpf, examples/sprial.xpf, examples/sun.xpf, examples/thebug.xpf, examples/tower.xpf, examples/tree.xpf, examples/triangle.xpf, examples/truecol1.xpf, examples/truecol2.xpf, examples/truecol3.xpf, examples/truecol4.xpf, examples/truecol5.xpf, examples/truecol6.xpf, examples/truecol7.xpf, examples/ufo.xpf, help/convert, help/fixmult:
New file.

* doc/mpeg_encode.patch, doc/template.param, doc/xaos.6, doc/xaos.geninfo, doc/xaos.info, doc/xaos.texinfo, doc/xaosdev.info:
Imported sources

* doc/mpeg_encode.patch, doc/template.param, doc/xaos.6, doc/xaos.geninfo, doc/xaos.info, doc/xaos.texinfo, doc/xaosdev.info:
New file.

* ChangeLog, ChangeLog.c, ChangeLog.e, ChangeLog.f, ChangeLog.g, ChangeLog.h, ChangeLog.i, ChangeLog.j, ChangeLog.k, ChangeLog.l, ChangeLog.m, ChangeLog.n, ChangeLog.q, ChangeLog.r, ChangeLog.t, ChangeLog.u, ChangeLog.v, ChangeLog.w, ChangeLog.x, ChangeLog.y, INSTALL, Makefile.OS2, Makefile.be, Makefile.in, TODO, TODO.Be, TODO.win, anim.par, anim.pat, bin/xaosmenu.tcl, build.bat, catalogs/README, catalogs/cesky.cat, catalogs/deutsch.cat, catalogs/english.cat, catalogs/espanhol.cat, catalogs/francais.cat, config.guess, config.sub, configure, configure.in, doc/ANNOUNCE, doc/AUTHORS, doc/PROBLEMS, doc/README, doc/README.BeOS, doc/README.OS2, doc/README.WIN, doc/README.bugs, doc/README.dos, doc/README.ggi, doc/README.mac, doc/README.plan9, doc/SPONSORS, doc/XaoS.lsm, doc/compilers.txt, doc/file_id.diz, doc/mktexinfo, fract0.xpf, install-sh, mk, p.c, p.s, update:
Imported sources

* ChangeLog, ChangeLog.c, ChangeLog.e, ChangeLog.f, ChangeLog.g, ChangeLog.h, ChangeLog.i, ChangeLog.j, ChangeLog.k, ChangeLog.l, ChangeLog.m, ChangeLog.n, ChangeLog.q, ChangeLog.r, ChangeLog.t, ChangeLog.u, ChangeLog.v, ChangeLog.w, ChangeLog.x, ChangeLog.y, INSTALL, Makefile.OS2, Makefile.be, Makefile.in, TODO, TODO.Be, TODO.win, anim.par, anim.pat, bin/xaosmenu.tcl, build.bat, catalogs/README, catalogs/cesky.cat, catalogs/deutsch.cat, catalogs/english.cat, catalogs/espanhol.cat, catalogs/francais.cat, config.guess, config.sub, configure, configure.in, doc/ANNOUNCE, doc/AUTHORS, doc/PROBLEMS, doc/README, doc/README.BeOS, doc/README.OS2, doc/README.WIN, doc/README.bugs, doc/README.dos, doc/README.ggi, doc/README.mac, doc/README.plan9, doc/SPONSORS, doc/XaoS.lsm, doc/compilers.txt, doc/file_id.diz, doc/mktexinfo, fract0.xpf, install-sh, mk, p.c, p.s, update:
New file.

* 3dtutor.xaf, COPYING: Imported sources

* 3dtutor.xaf, COPYING: New file.

